<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'boomee',

    /*
     * Package.
     */
    'package'   => 'influencer',

    /*
     * Modules.
     */
    'modules'   => ['influencer', 
'social'],

    'influencer'       => [
        'model' => [
            'model'                 => \Boomee\Influencer\Models\Influencer::class,
            'table'                 => 'influencers',
            'presenter'             => \Boomee\Influencer\Repositories\Presenter\InfluencerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'fname',  'lname',  'gender',  'dob',  'country_id',  'state_id',  'city_id',  'zipcode',  'street',  'street_no',  'profile',  'profile_picture',  'education',  'experience',  'skill',  'user_id',  'slug',  'status',  'created_at',  'deleted_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'influencer/influencer',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Boomee',
            'package'   => 'Influencer',
            'module'    => 'Influencer',
        ],

    ],

    'social'       => [
        'model' => [
            'model'                 => \Boomee\Influencer\Models\Social::class,
            'table'                 => 'socials',
            'presenter'             => \Boomee\Influencer\Repositories\Presenter\SocialPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'influencer_id',  'channel_type',  'name',  'follower_amount',  'engagement_score',  'category_id',  'gender',  'url',  'interests',  'hashtags',  'divers_age',  'divers_gender',  'geographic',  'country',  'price_range',  'user_id',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'influencer/social',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Boomee',
            'package'   => 'Influencer',
            'module'    => 'Social',
        ],

    ],
];
