<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateInfluencersTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: influencers
         */
        Schema::create('influencers', function ($table) {
            $table->increments('id');
            $table->string('fname', 255)->nullable();
            $table->string('lname', 255)->nullable();
            $table->string('gender', 255)->nullable();
            $table->date('dob')->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('city_id')->nullable();
            $table->string('zipcode', 255)->nullable();
            $table->string('street', 255)->nullable();
            $table->string('street_no', 255)->nullable();
            $table->text('profile')->nullable();
            $table->text('profile_picture')->nullable();
            $table->longText('education')->nullable();
            $table->longText('experience')->nullable();
            $table->longText('skill')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('slug', 255)->nullable();
            $table->enum('status', ['show','hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('influencers');
    }
}
