<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateSocialsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: socials
         */
        Schema::create('socials', function ($table) {
            $table->increments('id');
            $table->integer('influencer_id')->nullable();
            $table->integer('channel_type')->nullable();
            $table->string('name', 255)->nullable();
            $table->integer('follower_amount')->nullable();
            $table->integer('engagement_score')->nullable();
            $table->integer('category_id')->nullable();
            $table->string('gender', 255)->nullable();
            $table->text('url')->nullable();
            $table->text('interests')->nullable();
            $table->text('hashtags')->nullable();
            $table->string('divers_age', 255)->nullable();
            $table->string('divers_gender', 255)->nullable();
            $table->enum('geographic', ['on','off'])->nullable();
            $table->string('country', 255)->nullable();
            $table->integer('price_range')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('slug', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('socials');
    }
}
