Lavalite package that provides influencer management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `boomee/influencer`.

    "boomee/influencer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Boomee\Influencer\Providers\InfluencerServiceProvider::class,

And also add it to alias

    'Influencer'  => Boomee\Influencer\Facades\Influencer::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Boomee\\InfluencerTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Boomee\Influencer\Providers\InfluencerServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Boomee\Influencer\Providers\InfluencerServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Boomee\Influencer\Providers\InfluencerServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/influencer/{modulename}

**User**

    http://path-to-route-folder/user/influencer/{modulename}

**Public**

    http://path-to-route-folder/influencers


### API endpoints

**List**

    http://path-to-route-folder/api/user/influencer/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/influencer/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/influencer/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/influencer/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/influencer/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/influencer/{modulename}/{slug}
    METHOD: GET