<?php

// API routes  for influencer
Route::prefix('{guard}/influencer')->group(function () {
    Route::get('influencer/form/{element}', 'InfluencerAPIController@form');
    Route::resource('influencer', 'InfluencerAPIController');
});

// Public routes for influencer
Route::get('influencers/', 'InfluencerPublicController@index');
Route::get('influencers/{slug?}', 'InfluencerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for influencers
            Route::prefix('{guard}/influencer')->group(function () {
                Route::get('influencer/form/{element}', 'InfluencerAPIController@form');
                Route::apiResource('influencer', 'InfluencerAPIController');
            });
            // Public routes for influencers
            Route::get('influencer/Influencer', 'InfluencerPublicController@getInfluencer');
        }
    );
}


// API routes  for social
Route::prefix('{guard}/influencer')->group(function () {
    Route::get('social/form/{element}', 'SocialAPIController@form');
    Route::resource('social', 'SocialAPIController');
});

// Public routes for social
Route::get('influencers/', 'SocialPublicController@index');
Route::get('influencers/{slug?}', 'SocialPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for influencers
            Route::prefix('{guard}/influencer')->group(function () {
                Route::get('social/form/{element}', 'SocialAPIController@form');
                Route::apiResource('social', 'SocialAPIController');
            });
            // Public routes for influencers
            Route::get('influencer/Social', 'SocialPublicController@getSocial');
        }
    );
}

