<?php

// web routes  for influencer
Route::prefix('{guard}/influencer')->group(function () {
    Route::resource('influencer', 'InfluencerResourceController');
});

// Public routes for influencer
Route::get('influencers/', 'InfluencerPublicController@index');
Route::get('influencers/{slug?}', 'InfluencerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'InfluencerResourceController');
            });
            // Public routes for pages
            Route::get('influencers/', 'InfluencerPublicController@index');
            Route::get('influencers/{slug?}', 'InfluencerPublicController@show');
        }
    );
}


// web routes  for social
Route::prefix('{guard}/influencer')->group(function () {
    Route::resource('social', 'SocialResourceController');
});

// Public routes for social
Route::get('influencers/', 'SocialPublicController@index');
Route::get('influencers/{slug?}', 'SocialPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SocialResourceController');
            });
            // Public routes for pages
            Route::get('influencers/', 'SocialPublicController@index');
            Route::get('influencers/{slug?}', 'SocialPublicController@show');
        }
    );
}

