<?php

namespace Boomee\Influencer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InfluencerTransformer extends TransformerAbstract
{
    public function transform(\Boomee\Influencer\Models\Influencer $influencer)
    {
        return [
            'id'                => $influencer->getRouteKey(),
            'key'               => [
                'public'    => $influencer->getPublicKey(),
                'route'     => $influencer->getRouteKey(),
            ], 
            'fname'             => $influencer->fname,
            'lname'             => $influencer->lname,
            'gender'            => $influencer->gender,
            'dob'               => $influencer->dob,
            'country_id'        => $influencer->country_id,
            'state_id'          => $influencer->state_id,
            'city_id'           => $influencer->city_id,
            'zipcode'           => $influencer->zipcode,
            'street'            => $influencer->street,
            'street_no'         => $influencer->street_no,
            'profile'           => $influencer->profile,
            'profile_picture'   => $influencer->profile_picture,
            'education'         => $influencer->education,
            'experience'        => $influencer->experience,
            'skill'             => $influencer->skill,
            'user_id'           => $influencer->user_id,
            'slug'              => $influencer->slug,
            'deleted_at'        => $influencer->deleted_at,
            'url'               => [
                'public'    => trans_url('influencer/'.$influencer->getPublicKey()),
                'user'      => guard_url('influencer/influencer/'.$influencer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$influencer->status),
            'created_at'        => format_date($influencer->created_at),
            'updated_at'        => format_date($influencer->updated_at),
        ];
    }
}