<?php

namespace Boomee\Influencer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SocialTransformer extends TransformerAbstract
{
    public function transform(\Boomee\Influencer\Models\Social $social)
    {
        return [
            'id'                => $social->getRouteKey(),
            'key'               => [
                'public'    => $social->getPublicKey(),
                'route'     => $social->getRouteKey(),
            ], 
            'influencer_id'     => $social->influencer_id,
            'channel_type'      => $social->channel_type,
            'name'              => $social->name,
            'follower_amount'   => $social->follower_amount,
            'engagement_score'  => $social->engagement_score,
            'category_id'       => $social->category_id,
            'gender'            => $social->gender,
            'url'               => $social->url,
            'interests'         => $social->interests,
            'hashtags'          => $social->hashtags,
            'divers_age'        => $social->divers_age,
            'divers_gender'     => $social->divers_gender,
            'geographic'        => $social->geographic,
            'country'           => $social->country,
            'price_range'       => $social->price_range,
            'user_id'           => $social->user_id,
            'slug'              => $social->slug,
            'deleted_at'        => $social->deleted_at,
            'url'               => [
                'public'    => trans_url('influencer/'.$social->getPublicKey()),
                'user'      => guard_url('influencer/social/'.$social->getRouteKey()),
            ], 
            'status'            => trans('app.'.$social->status),
            'created_at'        => format_date($social->created_at),
            'updated_at'        => format_date($social->updated_at),
        ];
    }
}